package kz.arta.synergy.workflow.mobile.android.common.models.settings;

import java.io.Serializable;

/**
 * Created by neox on 26.07.15.
 * Проецсс
 */
public class ProcessItem implements Serializable {

    /**
     * Тип
     */
    private String type;

    /**
     * Позиция в списке
     */
    private String number;

    /**
     * Имя
     */
    private String name;

    /**
     * Метод возвращает имя процесса по идентификатору
     *
     * @param processItems список процессов
     * @param typeID       идентификатор процесса
     * @return если процесс найдет - метод вернет его имя, в противном случае возвращается пустая строка
     */
    public static String getNameByTypeID(ProcessItem[] processItems, String typeID) {
        if (processItems == null || typeID == null) {
            return "";
        }
        for (ProcessItem item : processItems) {
            if (item.getType().equals(typeID)) {
                return item.getName();
            }
        }
        return "";
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
